Xcode needs to be installed prompt upon running over iOS simulator, while Xcode already being installed.

While running sudo yarn ios and even when Xcode being already installed, it prompts :

:heavy_check_mark: Xcode needs to be installed (don’t worry, you won’t have to use it), would you like to continue to the App Store? … yes

And upon force update/ install Expo client to the latest version in iOS simulator it prompts:

:heavy_check_mark: You are currently using SDK 40.0.0. Would you like to install client 2.18.4 released for this SDK? … yes

again then prompts next …

:heavy_check_mark: Xcode needs to be installed (don’t worry, you won’t have to use it), would you like to continue to the App Store? … yes

Expo diagnostics -

  Expo CLI 4.4.3 environment info:
    System:
      OS: macOS 11.2.3
      Shell: 3.2.57 - /bin/sh
    Binaries:
      Node: 14.16.1 - /usr/local/bin/node
      Yarn: 1.22.10 - /usr/local/bin/yarn
      npm: 6.14.12 - /usr/local/bin/npm
    IDEs:
      Xcode: /undefined - /usr/bin/xcodebuild
    npmPackages:
      expo: ~40.0.0 => 40.0.0 
      react: 16.13.1 => 16.13.1 
      react-dom: 16.13.1 => 16.13.1 
      react-native: https://github.com/expo/react-native/archive/sdk-40.0.1.tar.gz => 0.63.2 
      react-native-web: ~0.13.12 => 0.13.18 
    npmGlobalPackages:
      expo-cli: 4.4.3
    Expo Workflow: managed

How to mitigate this situation in order for the iOS simulator to work seamlessly. Thanks in advance!

any luck with this? I’ve also been experiencing the same

1 Like

After 2 days it didn’t showed up, whereas it is now installing the Expo Go client app in the iPhone 8 regardless of other simulator opened up, the client app didn’t even show up in the iPhone 8. This is what is happening next.

Same experience. May be related to update to OSX 11.3.1? Anyone found a work around?

I found this in the Apple forums and it worked for me.

  1. Open Xcode
  2. ) go to preferences
  3. ) go to locations tab
  4. ) select an Xcode version in the select labeled “Command Line Tools”
5 Likes

@edhager Thank you very much, I was having this same problem, and your mini-tutorial helped me thank you!

Thank you, you just saved me a lot of trouble :pray: